/ comp / gb.opengl / gl / clearindex
Gl.ClearIndex (gb.opengl)
Syntax

    STATIC SUB ClearIndex ( Value AS Float )

### Specify the clear value for the color index buffers

#### Paremeters

- Value specifies the index used when the color index buffers are cleared. The default value is zero.

#### Description

Gl.ClearIndex specifies the index used by Gl.Clear to clear the color index buffers. Value is not clamped. Rather, Value is converted to a fixed-point value with unspecified precision to the right of the binary point. The integer part of this value is then masked with 2 m - 1, where m is the number of bits in a color index stored in the frame buffer.

#### Errors

Gl.GL_INVALID_OPERATION is generated if Gl.ClearIndex is called between a call to Gl.Begin and the corresponding call to Gl.End.

#### Associated Gets

Gl.GetIndexClearValue
Gl.GetIndexBits

### See also

Gl.Clear